Graphische Oberflaeche fiir Kommandozeilenprogramme
2001-07-27 00:00 - J6rg Riesmeier

Status: New Start date:

Priority: Low Due date:

Assignee: % Done: 0%
Category: Estimated time: 0:00 hour

Target version:

Module: praktische alle, die apps haben Compiler:

Operating System:

Description

Status: nur so ein Gedanke ...

Man koennte eine solche GUI automatisch generieren lassen ...

... entweder aus der Syntax-Hilfe (--help) oder vielleicht besser/einfacher mit

Hilfe der OFCommandLine-Klasse. Dies waere evitl. ja auch fir Siemens interessant.

Aufbau etwa wie folgt:
Waere natuerlich auch schoen, wenn man eine Session bzw. zumindest die Options-
einstellungen irgendwie speichern koennte.

Idee: Kommandozeilenprogramm wird (moeglicherweise zusaetzlich zu den sonstigen
Parametern und Optionen) mit --gui aufgerufen, erzeugt daraufhin ein kleines
Tcl/Tk-Programm und startet dieses auch gleich.

History

#1 - 2014-09-22 17:01 - Michael Onken

- Private changed from No to Yes

#2 - 2015-01-15 13:50 - Michael Onken

- Private changed from Yes to No
